tigase.conf

## Enum OldConfigHolder.Format

- java.lang.Object
- - java.lang.Enum<OldConfigHolder.Format>
  - - tigase.conf.OldConfigHolder.Format

- All Implemented Interfaces:
    Serializable, Comparable<OldConfigHolder.Format>
  Enclosing class:
    OldConfigHolder

      public static enum OldConfigHolder.Format
      extends Enum<OldConfigHolder.Format>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `dsl`
    `properties`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OldConfigHolder.Format` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OldConfigHolder.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### dsl

          public static final OldConfigHolder.Format dsl

    - #### properties

          public static final OldConfigHolder.Format properties

  - ### Method Detail

    - #### values

          public static OldConfigHolder.Format[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OldConfigHolder.Format c : OldConfigHolder.Format.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OldConfigHolder.Format valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.